## dballe 4.0.2

=== doc/examples/Makefile ===
read_bufr: read_bufr.c
LDFLAGS=-ldballe-bufrex

## dballe 2.6-1

=== debian/changelog ===
dballe (2.6-1) unstable; urgency=low

  * New upstream release
  * Build-depend on tetex-bin, tetex-extra and gs-common.  Closes: bug#393047.

 -- Enrico Zini <enrico@debian.org>  Sat, 14 Oct 2006 22:24:16 +0100

dballe (2.5-1) unstable; urgency=low

  * Initial upload.  Closes: bug#389776.

 -- Enrico Zini <enrico@debian.org>  Sat, 30 Sep 2006 17:42:22 +0200

=== debian/control ===
Source: dballe
Priority: optional
Maintainer: Enrico Zini <enrico@debian.org>
Build-Depends: cdbs, debhelper (>> 4.1), dh-buildinfo, doxygen, libtut-dev, unixodbc-dev, gperf, g77, libpopt-dev, libcnf-dev, tetex-bin, gs-common, tetex-extra
Standards-Version: 3.7.2.0

Package: libdballe-dev
Section: libdevel
Architecture: any
Depends: libdballe2 (= ${Source-Version}), libdballef2 (=${Source-Version})
Recommends: pkg-config
Description: Database for punctual meteorological data (C and Fortran development)
 DB-All.e is a fast on-disk database where meteorological observed and
 forecast data can be stored, searched, retrieved and updated.
 .
 This is the development version of the library.

Package: libdballe2
Section: libs
Architecture: any
Depends: ${shlibs:Depends} ${misc:Depends}
Description: Database for punctual meteorological data (C shared library)
 DB-All.e is a fast on-disk database where meteorological observed and
 forecast data can be stored, searched, retrieved and updated.
 .
 This is the shared library for C programs.

Package: libdballef2
Section: libs
Architecture: any
Depends: ${shlibs:Depends} ${misc:Depends}
Description: Database for punctual meteorological data (Fortran shared library)
 DB-All.e is a fast on-disk database where meteorological observed and
 forecast data can be stored, searched, retrieved and updated.
 .
 This is the shared library for Fortran programs.

Package: dballe
Section: misc
Architecture: any
Depends: ${shlibs:Depends} ${misc:Depends}
Description: Database for punctual meteorological data (Command line tools)
 DB-All.e is a fast on-disk database where meteorological observed and
 forecast data can be stored, searched, retrieved and updated.
 .
 This framework allows to manage large amounts of data using its simple
 Application Program Interface, and provides tools to visualise, import
 and export in the standard formats BUFR, AOF and CREX.
 .
 The main characteristics of DB-ALL.e are:
 .
  * Fortran, C, C++ and Python APIs are provided.
  * To make computation easier, data is stored as physical quantities,
    that is, as measures of a variable in a specific point of space and
    time, rather than as a sequence of report.
  * Internal representation is similar to BUFR and CREX WMO standard
    (table code driven) and utility for import and export are included
    (generic and ECMWF template).
  * Representation is in 7 dimensions: latitude and longitude geographic
    coordinates, table driven vertical coordinate, reference time,
    table driven observation and forecast specification, table driven
    data type.
  * It allows to store extra information linked to the data, such as
    confidence intervals for quality control.
  * It allows to store extra information linked to the stations.
  * Variables can be represented as real, integer and characters, with
    appropriate precision for the type of measured value.
  * It is based on physical principles, that is, the data it contains are
    defined in terms of homogeneous and consistent physical data. For
    example, it is impossible for two incompatible values to exist in the
    same point in space and time.
  * It can manage fixed stations and moving stations such as airplanes or
    ships.
  * It can manage both observational and forecast data.
  * It can manage data along all three dimensions in space, such as data
    from soundings and airplanes.
  * Report information is preserved. It can work based on physical
    parameters or on report types.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

# Work around to latex2html bug #368693
export RGBDEF=/usr/share/latex2html/styles/rgb.txt

#DEB_MAKE_CHECK_TARGET := check
#DEB_CONFIGURE_EXTRA_FLAGS += --disable-shared --with-pic

# Store build information
common-binary-post-install-arch common-binary-post-install-indep::
	dh_buildinfo

## dballe 3.6-1

=== debian/changelog ===
dballe (3.6-1) unstable; urgency=low

  * New upstream version
     + Builds on ARM
  * Various fixes in the Fortran API code and documentation

 -- Enrico Zini <enrico@debian.org>  Wed, 20 Jun 2007 19:42:07 +0100

dballe (3.4-1) unstable; urgency=low

  * New upstream version
     + Properly import and export synop high level stations
     + Improved database independence: now it can connect via ODBC to Postgres,
       SQLite and Oracle
  * Applied GVV 4.3 patch from tbm.  Closes: #417155.
  * Use ${binary:Version} instead of ${Source-Version}.  Closes: #414337.

 -- Enrico Zini <enrico@debian.org>  Wed, 23 May 2007 14:14:48 +0000

dballe (3.1-1) unstable; urgency=low

  * New upstream version
     + Moved provami into the package
     + Added dballe.volnd and dballe.rconvert Python modules
     + Improved C++ and Python bindings
  * Conflict with old libdballe-dev.  Closes: bug#411975.

 -- Enrico Zini <enrico@debian.org>  Wed, 28 Feb 2007 13:47:20 +0100

dballe (3.0.1-1) unstable; urgency=low

  * New upstream version
     + Fixed database export problems.
     + More control on database import: please see "dbadb help import" for a
       list of the new options

 -- Enrico Zini <enrico@debian.org>  Fri, 19 Jan 2007 00:22:52 +0100

dballe (3.0-1) unstable; urgency=low

  * New upstream version
     + Split the package in various libraries to allow use of just a part (for
       example, the BUFR or CREX encoder and decoder)
     + Much improved C API documentation
     + C++ interface
     + Python interface
     + Support for SQLite
     + BUFR importer can now parse compressed BUFR messages
     + Improved level and time range formatters
     + Redesigned the dba_file API
     + Allow to run all non-database tests, and run them when building the
       deb
     + Database support works on 64bit systems.  Closes: bug#405357.

 -- Enrico Zini <enrico@debian.org>  Thu, 21 Dec 2006 15:17:14 +0800

=== debian/control ===
Source: dballe
Priority: optional
Maintainer: Enrico Zini <enrico@debian.org>
Build-Depends: cdbs (>= 0.4.43), debhelper (>> 4.1), dh-buildinfo, doxygen, libtut-dev, unixodbc-dev, gperf, gfortran | g77, libpopt-dev, libcnf-dev, swig, texlive-base, texlive-latex-base, texlive-latex-extra, texlive-latex-recommended, gs, python-all-dev (>= 2.3.5-11), python-central (>= 0.5), python-docutils
XS-Python-Version: all
Standards-Version: 3.7.2.0

Package: libdballe-core-dev
Section: libdevel
Architecture: any
Depends: libdballe-core3 (= ${binary:Version})
Conflicts: libdballe-dev (<= 3.0)
Recommends: pkg-config
Description: DB-ALL.e core C development library
 DB-All.e is a fast on-disk database where meteorological observed and
 forecast data can be stored, searched, retrieved and updated.
 .
 This is the core DB_All.e development the library.  It includes:
 .
  * Error handling infrastructure
  * Unit conversion
  * Handling of physical variables

Package: libdballe-core-doc
Section: libdevel
Architecture: any
Description: DB-ALL.e core C development library (documentation)
 DB-All.e is a fast on-disk database where meteorological observed and
 forecast data can be stored, searched, retrieved and updated.
 .
 This is the documentation for the core DB_All.e development the library.

Package: libdballe-core3
Section: libs
Architecture: any
Depends: dballe-common, ${shlibs:Depends} ${misc:Depends}
Description: DB-ALL.e core shared library
 DB-All.e is a fast on-disk database where meteorological observed and
 forecast data can be stored, searched, retrieved and updated.
 .
 This is the core shared library for C programs.

Package: libdballe-bufrex-dev
Section: libdevel
Architecture: any
Depends: libdballe-core-dev (=${binary:Version}), libdballe-core3 (= ${binary:Version}), libdballe-bufrex3 (=${binary:Version})
Conflicts: libdballe-dev (<= 3.0)
Recommends: pkg-config
Description: Read and write functions for BUFR and CREX weather data
 Functions to read and write weather data in WMO BUFR and CREX formats.
 .
 It is being used and tested with these kinds of BUFR and CREX messages:
  * Fixed land and sea stations, like synops and buoys
  * Mobile stations: ships, airplanes
  * Soundings: temp, pilot
  * METAR reports
  * Satellite strides (decode only)

Package: libdballe-bufrex-doc
Section: libdevel
Architecture: any
Description: Read and write functions for BUFR and CREX weather data (documentation)
 Documentation for the functions to read and write weather data in WMO BUFR and
 CREX formats.

Package: libdballe-bufrex3
Section: libs
Architecture: any
Depends: dballe-common, ${shlibs:Depends} ${misc:Depends}
Description: Read and write functions for BUFR and CREX weather data (shared library)
 Shared library with functions to read and write weather data in WMO BUFR and
 CREX formats.

Package: libdballe-msg-dev
Section: libdevel
Architecture: any
Depends: libdballe-core-dev (=${binary:Version}), libdballe-core3 (= ${binary:Version}), libdballe-bufrex-dev (=${binary:Version}), libdballe-bufrex3 (=${binary:Version}), libdballe-msg3 (=${binary:Version})
Conflicts: libdballe-dev (<= 3.0)
Recommends: pkg-config
Description: Interpret weather reports into physycal data, and vice-versa
 The library implements the dba_msg infrastructure for handling physical data
 precisely located in space and time.  The structure can be:
 .
  * Filled in with data from weather reports encoded BUFR, CREX or AOF formats
  * Used to create BUFR or CREX weather reports
  * Read from disk in BUFR, CREX or AOF files
  * Written to disk in BUFR or CREX files
  * Stored into a DB-All.e database via libdballe-db
  * Queried from a DB-All.e database via libdballe-db
 .
 The representation is in 7 dimensions: latitude and longitude geographic
 coordinates, table driven vertical coordinate, reference time, table driven
 observation and forecast specification, table driven data type.
 .
 dba_msg is a very convenient way of accessing weather data already digested as
 properly located physical quantities, as well as as a common middle ground for
 performing conversions between the various supported message formats.

Package: libdballe-msg-doc
Section: libdevel
Architecture: any
Description: Interpret weather reports into physycal data, and vice-versa (documentation)
 Documentation for the C API of the dba_msg infrastructure for handling
 physical data precisely located in space and time.

Package: libdballe-msg3
Section: libs
Architecture: any
Depends: dballe-common, ${shlibs:Depends} ${misc:Depends}
Description: Interpret weather reports into physycal data, and vice-versa (shared library)
 Shared library for the dba_msg infrastructure for handling physical data
 precisely located in space and time.

Package: libdballe-db-dev
Section: libdevel
Architecture: any
Depends: libdballe-core-dev (=${binary:Version}), libdballe-core3 (= ${binary:Version}), libdballe-bufrex-dev (=${binary:Version}), libdballe-bufrex3 (=${binary:Version}), libdballe-msg-dev (=${binary:Version}), libdballe-msg3 (=${binary:Version}), libdballe-db3 (=${binary:Version})
Conflicts: libdballe-dev (<= 3.0)
Recommends: pkg-config
Description: Smart on-disk database for weather data
 Fast on-disk database where meteorological observed and forecast data can be
 stored, searched, retrieved and updated.
 .
 The main characteristics of the DB-ALL.e database are:
 .
  * To make computation easier, data is stored as physical quantities,
    that is, as measures of a variable in a specific point of space and
    time, rather than as a sequence of report.
  * Representation is in 7 dimensions: latitude and longitude geographic
    coordinates, table driven vertical coordinate, reference time,
    table driven observation and forecast specification, table driven
    data type.
  * It allows to store extra information linked to the data, such as
    confidence intervals for quality control.
  * It allows to store extra information linked to the stations.
  * Variables can be represented as real, integer and characters, with
    appropriate precision for the type of measured value.
  * It is based on physical principles, that is, the data it contains are
    defined in terms of homogeneous and consistent physical data. For
    example, it is impossible for two incompatible values to exist in the
    same point in space and time.
  * It can manage fixed stations and moving stations such as airplanes or
    ships.
  * It can manage both observational and forecast data.
  * It can manage data along all three dimensions in space, such as data
    from soundings and airplanes.
  * Report information is preserved. It can work based on physical
    parameters or on report types.
  * Can concurrently access multiple MySQL and SQLite databases via ODBC

Package: libdballe-db-doc
Section: libdevel
Architecture: any
Description: Smart on-disk database for weather data (documentation)
 DB-All.e is a fast on-disk database where meteorological observed and
 forecast data can be stored, searched, retrieved and updated.
 .
 This is the C API documentation for the database functions of DB-All.e.

Package: libdballe-db3
Section: libs
Architecture: any
Depends: dballe-common, ${shlibs:Depends} ${misc:Depends}
Description: Smart on-disk database for weather data (shared library)
 DB-All.e is a fast on-disk database where meteorological observed and
 forecast data can be stored, searched, retrieved and updated.
 .
 This is the shared library for the database functions of DB-All.e.

Package: libdballef-dev
Section: libdevel
Architecture: any
Depends: libdballef3 (=${binary:Version})
Conflicts: libdballe-dev (<= 3.0)
Recommends: pkg-config
Description: Database for punctual meteorological data (Fortran development library)
 DB-All.e is a fast on-disk database where meteorological observed and
 forecast data can be stored, searched, retrieved and updated.
 .
 This is the DB-All.e Fortran API, designed to make it easy to use the DB-All.e
 database as a smart working area for meteorological software.

Package: libdballef3
Section: libs
Architecture: any
Depends: dballe-common, ${shlibs:Depends} ${misc:Depends}
Description: Database for punctual meteorological data (Fortran shared library)
 DB-All.e is a fast on-disk database where meteorological observed and
 forecast data can be stored, searched, retrieved and updated.
 .
 This is the shared library for Fortran programs.

Package: libdballepp-dev
Section: libdevel
Architecture: any
Depends: libdballepp3 (=${binary:Version}), libdballe-core-dev (=${binary:Version}), libdballe-core3 (= ${binary:Version}), libdballe-bufrex-dev (=${binary:Version}), libdballe-bufrex3 (=${binary:Version}), libdballe-msg-dev (=${binary:Version}), libdballe-msg3 (=${binary:Version}), libdballe-db-dev (=${binary:Version}), libdballe-db3 (=${binary:Version})
Conflicts: libdballe-dev (<= 3.0)
Recommends: pkg-config
Description: Database for punctual meteorological data (C++ development library)
 DB-All.e is a fast on-disk database where meteorological observed and
 forecast data can be stored, searched, retrieved and updated.
 .
 This is the DB-All.e C++ API, a thin wrapper around the C API that takes
 advantage of C++ features.

Package: libdballepp3
Section: libs
Architecture: any
Depends: dballe-common, ${shlibs:Depends} ${misc:Depends}
Description: Database for punctual meteorological data (C++ shared library)
 DB-All.e is a fast on-disk database where meteorological observed and
 forecast data can be stored, searched, retrieved and updated.
 .
 This is the shared library for C++ programs.

Package: python-dballe
Section: python
Architecture: any
Depends: dballe-common, ${shlibs:Depends} ${misc:Depends} ${python:Depends}
Recommends: python-numpy
Suggests: python-rpy
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Description: Database for punctual meteorological data (Python bindings)
 DB-All.e is a fast on-disk database where meteorological observed and
 forecast data can be stored, searched, retrieved and updated.
 .
 These are the python bindings.

Package: dballe-common
Section: misc
Architecture: any
Description: Common data files for all DB-All.e modules
 DB-All.e is a fast on-disk database where meteorological observed and
 forecast data can be stored, searched, retrieved and updated.
 .
 This package contains common DB-All.e data files, including variable metadata,
 BUFR and CREX decoding tables, report metadata, level and time range
 descriptions.

Package: dballe
Section: misc
Architecture: any
Depends: dballe-common, ${shlibs:Depends} ${misc:Depends}
Description: Database for punctual meteorological data (Command line tools)
 DB-All.e is a fast on-disk database where meteorological observed and
 forecast data can be stored, searched, retrieved and updated.
 .
 This framework allows to manage large amounts of data using its simple
 Application Program Interface, and provides tools to visualise, import
 and export in the standard formats BUFR, AOF and CREX.
 .
 The main characteristics of DB-ALL.e are:
 .
  * Fortran, C, C++ and Python APIs are provided.
  * To make computation easier, data is stored as physical quantities,
    that is, as measures of a variable in a specific point of space and
    time, rather than as a sequence of report.
  * Internal representation is similar to BUFR and CREX WMO standard
    (table code driven) and utility for import and export are included
    (generic and ECMWF template).
  * Representation is in 7 dimensions: latitude and longitude geographic
    coordinates, table driven vertical coordinate, reference time,
    table driven observation and forecast specification, table driven
    data type.
  * It allows to store extra information linked to the data, such as
    confidence intervals for quality control.
  * It allows to store extra information linked to the stations.
  * Variables can be represented as real, integer and characters, with

=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,15 @@
 # Work around to latex2html bug #368693
 export RGBDEF=/usr/share/latex2html/styles/rgb.txt
 
-#DEB_MAKE_CHECK_TARGET := check
+DEB_MAKE_CHECK_TARGET := check
 #DEB_CONFIGURE_EXTRA_FLAGS += --disable-shared --with-pic
+#DEB_CONFIGURE_EXTRA_FLAGS += --enable-db-tests
+
+# From http://wiki.debian.org/DebianPython/NewPolicy
+binary-install/python-dballe::
+	dh_pycentral -ppython-dballe
+binary-install/provami::
+	dh_pycentral -pprovami
 
 # Store build information
 common-binary-post-install-arch common-binary-post-install-indep::

## dballe 5.10

=== debian/changelog ===
dballe (5.10-1) unstable; urgency=low

  * New upstream release
     - in rare cases, SYNOP exports would select the wrong context for
       temperature exports, incorrectly exporting minimum or maximum
       temperatures instead
     - tweaked sounding group detection to deal with an obscure TEMP recently
       added to the test suite
     - make check works on sqlite
     - flight import/export: all data moved from station information level to
       flight level, to prevent overlaps for flights on different days at the
       same coordinates
     - Added variables B01006, B01023, B20042, B20043, B20044, B20045, B02064,
       B07010, B08009, B11031, B11037, B11039, B11075, B11076 and B11077 for
       GTS AMDAR reports
     - Make sure that height levels for flights are expressed in millimeters
       as documented
     - Initial support for importing/exporting experimental WMO ACARS
       templates
     - When scanning flight identification numbers, give preference to B01008
       over B01006
  * Avoid installing .la files and fixed doxygen dependencies, thanks to Luk
    Claes. Closes: #631898
  * Migrated to dh_python2. Closes: #616784
  * Depend on swig 2.0
  * Fixed timestamp syntax in old changelog entries
  * dballe-common: make arch:all
  * fixed lintian spellchecking errors in debian/control

 -- Enrico Zini <enrico@debian.org>  Thu, 29 Sep 2011 19:23:52 +0200

dballe (5.9-1) unstable; urgency=low

  * New upstream release
     - Preserve message type, subtype and localsubtype during template
       conversions
     - Added 'wmo' autodetection template
     - Deal with TEMPs with missing pressure in levels
     - Deal with missing sensor height in total precipitation when doing
       precise imports
     - Record keyword documentation is back
     - Fixed to fapi documentation

 -- Enrico Zini <enrico@debian.org>  Thu, 01 Sep 2011 17:24:27 +0100

dballe (5.8-1) unstable; urgency=low

  * New upstream release
     - revert height->heightstatin change in variable aliases

 -- Enrico Zini <enrico@debian.org>  Wed, 24 Aug 2011 11:35:43 +0200

dballe (5.7-1) unstable; urgency=low

  * New upstream version
     - ported to new wreport
  * Added dbamsg dump --dds
  * Added dbamsg dump --structured

 -- Enrico Zini <enrico@debian.org>  Thu, 09 Jun 2011 17:20:55 +0200

dballe (5.6-1) unstable; urgency=low

  * New upstream version
     - provami: fixed disappearing 00:00:00 time in date fields

 -- Enrico Zini <enrico@debian.org>  Tue, 19 Apr 2011 18:35:46 +0200

dballe (5.5-1) unstable; urgency=low

  * New upstream version
     - Fixed an issue with present but undefined values in the Fortran API
     - Local B table change: B22042->B22043 
     - Local B table change: removed B08001 (replaced with B08042)
       B08001 found in old generic BUFR messages will transparently be
       converted to B08042 on import.
     - Local B table change: removed B10009 GEOPOTENTIAL HEIGHT
       (redundant, since we already have B10008)
     - Lots of testing and fixes in WMO SYNOP templates import/export
     - TEMP templates: all pressure imports now use B10004 
     - Local B table change: B07001->B07030
     - Autodetect ECMWF/WMO template to use if not explicitly requested
     - Imported past weather time range now is 3h or 6h depending on the
       reference time hour
     - Precise import of ECMWF templates use standard SYNOP levels
     - Do not import undef attrs into Msg

 -- Enrico Zini <enrico@debian.org>  Sat, 05 Mar 2011 23:16:31 +0000

dballe (5.4-1) unstable; urgency=low

  * New upstream version
     - Improved TEMP sounding group identification
     - Show template numbers in bulletin exporter list

 -- Enrico Zini <enrico@debian.org>  Fri, 11 Feb 2011 13:56:34 +0000

dballe (5.3-1) unstable; urgency=low

  * New upsteam version
     - Implemented dbamsg dump --csv
     - Implemented dbamsg dump --csv --interpreted
     - New local B variable: 013002 MIXING RATIO
     - TEMP import tries to identify sounding groups and scan them in a
       smarter way
     - Also use new geopotential B code when looking for data exporting old
       pilots

 -- Enrico Zini <enrico@debian.org>  Fri, 04 Feb 2011 16:04:18 +0000

dballe (5.2-1) unstable; urgency=low

  * New upstream version
     - No transactions are left open (at least in the test suite)
     - Reenabled generation if Python API docs
     - Handle all 2:x:x as TEMPs
     - Command line tools now properly turn exceptions into errors
     - Ported rconvert to rpy2 
     - Fixed timeranges when importing synops
     - In fortran message API, treat levels and time ranges that are not set
       as "missing" instead of "leave as they were before"
     - In fortran message API, fixed bug whereby it would fail to advance from
       the last subset to the next message
     - Fixed formatting of time ranges
     - Fixed dbamsg dump --text
     - Instant time range is now 254,0,0
     - Messages with ECMWF templates are created with old version of tables
     - Implemented message filters for all commands where it makes sense

 -- Enrico Zini <enrico@debian.org>  Thu, 18 Nov 2010 14:13:13 +0000

dballe (5.1-1) unstable; urgency=low

  * New upstream version
     - Handle negative priorities
     - voglioquesto in fortran msgapi moves to the next subset, or the next
       message when there are no more subsets

 -- Enrico Zini <enrico@debian.org>  Mon, 25 Oct 2010 17:05:25 +0200

dballe (5.0-1) unstable; urgency=low

  * New upstream version
     - Rewritten in C++
     - The dballe++ module has been removed (now everything is in C++)
     - BUFR/CREX functions have been split into a separate wreport library
     - Bumped libdballe soname as ABI is now obviously different
     - Fortran ABI is unchanged, so we still have libdballef4

 -- Enrico Zini <enrico@debian.org>  Mon, 27 Sep 2010 20:12:28 +0100

dballe (4.0.19-1) unstable; urgency=low

  * Smarter lookup of tables, with fallback on standard WMO tables


=== debian/control ===
Source: dballe
Section: misc
Priority: optional
Maintainer: Enrico Zini <enrico@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
  pkg-config,
  libwreport-dev (>= 2.0), libpopt-dev, unixodbc-dev, gperf, liblua5.1-0-dev,
  libcnf-dev, gfortran | g77,
  libtut-dev, libwibble-dev,
  doxygen-latex, ghostscript,
  swig (>= 2.0), python-all-dev (>= 2.6.6-3~), python-docutils, python-numpy
Standards-Version: 3.9.1.0
X-Python-Version: >= 2.3
Homepage: http://www.arpa.emr.it/dettaglio_documento.asp?id=514&idlivello=64

Package: libdballe-dev
Section: libdevel
Architecture: any
Depends: libdballe5 (= ${binary:Version}), ${misc:Depends}
Recommends: pkg-config
Conflicts: libdballe-core-dev, libdballe-bufrex-dev, libdballe-msg-dev, libdballe-db-dev
Description: DB-All.e C development library for weather research
 DB-All.e is a fast on-disk database where meteorological observed and
 forecast data can be stored, searched, retrieved and updated.
 .
 The Debian packaging of DB-All.e includes all the features of the libraries,
 but any subset can be used without interference from other subsets.  It is
 also possible to rebuild the library to include only those features that are
 needed.
 .
 Features provided:
 .
  * Unit conversion
  * Handling of physical variables
  * Encoding and decoding of BUFR and CREX reports from:
     * fixed land and sea stations, like synops and buoys
     * mobile stations: ships, airplanes
     * soundings: temp, pilot
     * METAR reports
     * Satellite strides (decode only)
  * Decoding of AOF reports
  * Interpretation of weather reports as physical data precisely located in
    space and time, and encoding of physical data into weather reports.
  * Smart on-disk database for observed and forecast weather data based on
    physical principles, built to support operations such as quality control,
    data thinning, correlation of data from mixed sources

Package: libdballe-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: documentation for the DB-ALL.e C library for weather research
 DB-All.e is a fast on-disk database where meteorological observed and
 forecast data can be stored, searched, retrieved and updated.
 .
 This is the documentation for the DB_All.e development the library.

Package: libdballe5
Section: libs
Architecture: any
Depends: dballe-common, ${shlibs:Depends}, ${misc:Depends}
Description: DB-ALL.e C shared library for weather research
 DB-All.e is a fast on-disk database where meteorological observed and
 forecast data can be stored, searched, retrieved and updated.
 .
 This is the shared library for C programs.

Package: libdballef-dev
Section: libdevel
Architecture: any
Depends: libdballef4 (=${binary:Version}), ${misc:Depends}
Recommends: pkg-config
Description: DB-All.e Fortran development library for weather research
 DB-All.e is a fast on-disk database where meteorological observed and
 forecast data can be stored, searched, retrieved and updated.
 .
 This is the DB-All.e Fortran API, designed to make it easy to use the DB-All.e
 database as a smart working area for meteorological software.

Package: libdballef4
Section: libs
Architecture: any
Depends: dballe-common, ${shlibs:Depends}, ${misc:Depends}
Description: DB-ALL.e Fortran shared library for weather research
 DB-All.e is a fast on-disk database where meteorological observed and
 forecast data can be stored, searched, retrieved and updated.
 .
 This is the shared library for Fortran programs.

Package: python-dballe
Section: python
Architecture: any
Depends: dballe-common, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Recommends: python-numpy
Suggests: python-rpy2
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Description: DB-ALL.e Python library for weather research
 DB-All.e is a fast on-disk database where meteorological observed and
 forecast data can be stored, searched, retrieved and updated.
 .
 These are the Python bindings.

Package: dballe-common
Section: misc
Architecture: all
Depends: ${misc:Depends}
Description: Common data files for all DB-All.e modules
 DB-All.e is a fast on-disk database where meteorological observed and
 forecast data can be stored, searched, retrieved and updated.
 .
 This package contains common DB-All.e data files, including variable metadata,
 BUFR and CREX decoding tables, report metadata, level and time range
 descriptions.

Package: dballe
Section: misc
Architecture: any
Depends: dballe-common, ${shlibs:Depends}, ${misc:Depends}
Description: Database for punctual meteorological data (Command line tools)
 DB-All.e is a fast on-disk database where meteorological observed and
 forecast data can be stored, searched, retrieved and updated.
 .
 This framework allows one to manage large amounts of data using its simple
 Application Program Interface, and provides tools to visualise, import
 and export in the standard formats BUFR, AOF and CREX.
 .
 The main characteristics of DB-ALL.e are:
 .
  * Fortran, C, C++ and Python APIs are provided.
  * To make computation easier, data is stored as physical quantities,
    that is, as measures of a variable in a specific point of space and
    time, rather than as a sequence of report.
  * Internal representation is similar to BUFR and CREX WMO standard
    (table code driven) and utility for import and export are included
    (generic and ECMWF template).
  * Representation is in 7 dimensions: latitude and longitude geographic
    coordinates, table driven vertical coordinate, reference time,
    table driven observation and forecast specification, table driven
    data type.
  * It allows one to store extra information linked to the data, such as
    confidence intervals for quality control.
  * It allows one to store extra information linked to the stations.
  * Variables can be represented as real, integer and characters, with
    appropriate precision for the type of measured value.
  * It is based on physical principles, that is, the data it contains are
    defined in terms of homogeneous and consistent physical data. For
    example, it is impossible for two incompatible values to exist in the
    same point in space and time.
  * It can manage fixed stations and moving stations such as airplanes or
    ships.
  * It can manage both observational and forecast data.
  * It can manage data along all three dimensions in space, such as data
    from soundings and airplanes.
  * Report information is preserved. It can work based on physical
    parameters or on report types.

Package: provami
Section: misc
Architecture: all
Depends: python-dballe, python-wxgtk2.6, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Suggests: python-rpy2
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Description: Graphical interface to DB-All.e databases
 provami is a GUI application to visualise and navigate DB-All.e databases.
 .
 It also allows one to perform simple editing tasks, and to graphically select
 and export data subsets.

## dballe 5.18

=== debian/changelog ===
dballe (5.18-1) unstable; urgency=low

  * New upstream release
     - 1:255:12 and 1:255:14 now recognised as ships
     - fixed AIX-compatibility intexp10 in pollution importers/exporters
     - help swig pattern match Varcode lists correctly, so that Python
       bindings now work also for attribute management
  * Added Vcs-Svn header
  * Updated standards-version, no changes needed

 -- Enrico Zini <enrico@debian.org>  Wed, 16 May 2012 20:47:22 +0200

dballe (5.17-1) unstable; urgency=low

  * New upstream release
     - various python bindings cleanups
     - wrapped record.parse_date_extremes

 -- Enrico Zini <enrico@debian.org>  Mon, 14 May 2012 16:26:34 +0200

dballe (5.16-1) unstable; urgency=low

  * New upstream release
     - fixed dbadb --report: the option had no effect
     - fixed B01194 appearing twice in exported generic messages

 -- Enrico Zini <enrico@debian.org>  Wed, 15 Feb 2012 22:03:02 +0100

dballe (5.15-1) unstable; urgency=low

  * New upstream release
     - added a missing m4 dependency
     - fortran api: ana_id is not automatically reset after a prendilo. It is
       still automatically reset after setting latitude or longitude
     - added dbadb --wipe-first
     - when DBA_INSECURE_SQLITE is set to anything, sqlite is initialised with
       directives making it very fast, but losing any data integrity in case
       of errors

 -- Enrico Zini <enrico@debian.org>  Wed, 18 Jan 2012 18:50:59 +0100

dballe (5.14-1) unstable; urgency=low

  * New upstream release
     - dbatbl: fixed format formatting when len < scale

 -- Enrico Zini <enrico@debian.org>  Tue, 18 Oct 2011 11:27:24 +0200

dballe (5.13-1) unstable; urgency=low

  * New upstream release
     - dbadb import now accepts --precise and -t csv

 -- Enrico Zini <enrico@debian.org>  Thu, 13 Oct 2011 10:36:00 +0200

dballe (5.12-1) unstable; urgency=low

  * New upstream release
     - clear old vars on Cursor::to_record
     - fixed compiler errors when building without Lua
     - prevent compiler flags to end up in dependencies in tools/Makefile.am
     - dbamsg convert: documented 'csv' as a valid input type

 -- Enrico Zini <enrico@debian.org>  Thu, 06 Oct 2011 13:11:36 +0200

dballe (5.11-1) unstable; urgency=low

  * New upstream release
     - workaround to be able to build on swig 1.3 with newer gcc
     - added dbamsg convert --recompute-categories

 -- Enrico Zini <enrico@debian.org>  Wed, 05 Oct 2011 18:04:07 +0200

dballe (5.10-1.1) unstable; urgency=low

  * Non-maintainer upload with maintainer's agreement:
     - Depend on python-wxgtk2.8 instead of python-wxgtk2.6. Closes: #645626

 -- Olly Betts <olly@survex.com>  Sun, 06 Nov 2011 14:45:33 +0000

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,10 @@
   libtut-dev, libwibble-dev,
   doxygen-latex, ghostscript,
   swig (>= 2.0), python-all-dev (>= 2.6.6-3~), python-docutils, python-numpy
-Standards-Version: 3.9.1.0
+Standards-Version: 3.9.3.0
 X-Python-Version: >= 2.3
 Homepage: http://www.arpa.emr.it/dettaglio_documento.asp?id=514&idlivello=64
+Vcs-Svn: https://svn.smr.arpa.emr.it/dballe/dballe/trunk
 
 Package: libdballe-dev
 Section: libdevel
@@ -158,7 +159,7 @@
 Package: provami
 Section: misc
 Architecture: all
-Depends: python-dballe, python-wxgtk2.6, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
+Depends: python-dballe, python-wxgtk2.8, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
 Suggests: python-rpy2
 XB-Python-Version: ${python:Versions}
 Provides: ${python:Provides}

=== debian/rules ===
#!/usr/bin/make -f

VERSION=$(shell debian/vercheck)

# Work around to latex2html bug #368693
export RGBDEF=/usr/share/latex2html/styles/rgb.txt

%:
	dh --with python2 $@


# DEB_PYTHON2_MODULE_PACKAGES := provami
# 
# #DEB_MAKE_CHECK_TARGET := check
# 
# # From http://wiki.debian.org/DebianPython/NewPolicy
# binary-install/python-dballe::
# 	rm -f $(CURDIR)/debian/python-dballe/usr/share/pyshared/_dballe.la
# 	rm -f $(CURDIR)/debian/python-dballe/usr/lib/python?.?/dist-packages/_dballe.la

# Temporarily disabled, I'm afraid of #620104
#override_dh_fixperms:
#	dh_fixperms
#	test -e /usr/bin/dh_buildinfo && dh_buildinfo

override_dh_auto_install:
	dh_auto_install
	# Build and install the python bindings for each different python version
	for ver in `pyversions -vr`; do \
		dh_auto_configure -- PYTHON=/usr/bin/python$$ver ; \
		make clean -C swig ; \
		make install -C swig DESTDIR=`pwd`/debian/tmp ; \
	done
	# Remove python modules .la files
	rm -f debian/tmp/usr/lib/python*/dist-packages/*.la

vercheck:
	debian/vercheck > /dev/null

debsrc: vercheck
	git-buildpackage -S -us -uc

## dballe 6.8

=== debian/changelog ===
dballe (6.8-1) unstable; urgency=low

  * New upstream release
     - several bug and documentation fixes
     - new fortran API: unsetb
     - if DBALLE_TRACE_FORTRAN is set to a file name, a trace of fortran API
       calls will be written to it to assist in filing bug reports
     - new fortran APIs: idba_messages_open_input, idba_messages_open_output,
       idba_messages_read_next, idba_messages_write_next
     - work around getting rowcount bug in new MariaDB
     - do not build/package provami, since I am unable to maintain the
       old wxPytyhon codebase and a QT rewrite is in progress. Closes: #759043.
       Thanks Olly Betts <olly@survex.com> for patches in the meantime.
     - improvements to dballe::Record's API
     - run with autoreconf. Closes: #744563.
     - updated standards-version, no changes required.

 -- Enrico Zini <enrico@debian.org>  Sun, 05 Oct 2014 12:00:25 +0200

dballe (6.6-1) UNRELEASED; urgency=low

  * New upstream release
     - added a third database type: "mem:", which uses in-memory data
       structures instead of a SQL database
     - removed unused support for attr=add in Fortran API
     - removed obsolete support for rep_cod
     - removed need of having mobile=1 when inserting a mobile station. The
       presence of 'ident' is enough to know that the station is mobile
     - implemented var= and varlist= support for quantesono/query_stations
     - added support for Lua 5.2

 -- Enrico Zini <enrico@debian.org>  Wed, 06 Nov 2013 12:01:35 +0100

dballe (6.5-1) unstable; urgency=low

  * New upstream release
     - clarified and remplemented the meaning of data_filter
     - auto-insert new rep_memo values when importing data, if they are
       missing from the database
     - work around SQL having undefined behaviour with NULLs on an UNIQUE
       index. You need to run the following query to fix existing v6
       databases: UPDATE data SET id_lev_tr=-1 WHERE id_lev_tr IS NULL

 -- Enrico Zini <enrico@debian.org>  Wed, 30 Oct 2013 17:28:42 +0100

dballe (6.4-1) unstable; urgency=low

  * New upstream release
     - changed SQLite queries to avoid losing existing values when overwriting
       a data value

 -- Enrico Zini <enrico@debian.org>  Wed, 30 Oct 2013 17:21:22 +0100

dballe (6.3-1) unstable; urgency=low

  * New upstream release
     - refactored cursor+querybuilder for v6 databases
     - do not leave SQL_TIMESTAMP_STRUCT.fraction uninitialised, which caused
       duplicate imports in some cases
     - fortran message api: deal gracefully with uninterpretable messaes
     - fixed data overwrite on V6 databases
     - provami: documented the possibility of passing initial key=val filters
       on command line

 -- Enrico Zini <enrico@debian.org>  Tue, 03 Sep 2013 18:51:00 +0200

dballe (6.2-1) UNRELEASED; urgency=low

  * New upstream release
     - postgresql fixes
     - accept hypens as MISSING_INT

 -- Enrico Zini <enrico@debian.org>  Fri, 24 May 2013 17:43:49 +0200

dballe (6.1-1) UNRELEASED; urgency=low

  * New upstream release
     - python: allow levels and time ranges to be set to None
     - provami: filtering by one station doesn't raise a SQL exception anymore

 -- Enrico Zini <enrico@debian.org>  Fri, 24 May 2013 17:43:49 +0200

dballe (6.0-1) UNRELEASED; urgency=low

  * New upstream release
     - new, faster database layout
     - old layout still supported for existing databases
     - changes to C++ and Python API to make it possible to have multiple
       database engines
     - Python API redesigned from scratch with clean, hand-written, documented
       bindings
     - support for WMO SHIP messages
  * Updated sonames
  * Removed dependency on swig

 -- Enrico Zini <enrico@debian.org>  Wed, 20 Mar 2013 16:06:42 +0100

dballe (5.23-1) UNRELEASED; urgency=low

  * New upstream release
     - added --rejected=filename option to dbamsg and dbadb
     - dbamsg convert -o/--output

 -- Enrico Zini <enrico@debian.org>  Wed, 20 Mar 2013 16:06:42 +0100

dballe (5.22-1) UNRELEASED; urgency=low

  * New upstream release
     - tests and fixed for WMO pilot import/export

 -- Enrico Zini <enrico@debian.org>  Tue, 24 Jul 2012 14:55:07 +0200

dballe (5.21-1) UNRELEASED; urgency=low

  * New upstream release
     - support for reading and writing WMO PILOT messages

 -- Enrico Zini <enrico@debian.org>  Tue, 05 Jun 2012 12:33:32 +0200

dballe (5.20-1) UNRELEASED; urgency=low

  * New upstream release
     - low-level ODBC test suite
     - removed ODBC workarounds, which used features not supported by
       "industry leader" Oracle

 -- Enrico Zini <enrico@debian.org>  Tue, 05 Jun 2012 12:33:32 +0200

dballe (5.19-1) UNRELEASED; urgency=low

  * New upstream release
     - dbadb import --fast disables journals and flushes in sqlite (same as
       setting DBA_INSECURE_SQLITE)
     - provami works with rpy and rpy2

 -- Enrico Zini <enrico@debian.org>  Tue, 05 Jun 2012 12:33:32 +0200

=== debian/control ===
--- 
+++ 
@@ -2,22 +2,21 @@
 Section: misc
 Priority: optional
 Maintainer: Enrico Zini <enrico@debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
-  pkg-config,
-  libwreport-dev (>= 2.0), libpopt-dev, unixodbc-dev, gperf, liblua5.1-0-dev,
+Build-Depends: debhelper (>= 9), dh-python, dh-autoreconf,
+  autotools-dev, pkg-config,
+  libwreport-dev (>= 2.9), libpopt-dev, unixodbc-dev, gperf, liblua5.1-0-dev,
   libcnf-dev, gfortran | g77,
   libtut-dev, libwibble-dev,
   doxygen-latex, ghostscript,
-  swig (>= 2.0), python-all-dev (>= 2.6.6-3~), python-docutils, python-numpy
-Standards-Version: 3.9.3.0
-X-Python-Version: >= 2.3
+  python-all-dev, python-docutils, python-numpy
+Standards-Version: 3.9.6.0
 Homepage: http://www.arpa.emr.it/dettaglio_documento.asp?id=514&idlivello=64
 Vcs-Svn: https://svn.smr.arpa.emr.it/dballe/dballe/trunk
 
 Package: libdballe-dev
 Section: libdevel
 Architecture: any
-Depends: libdballe5 (= ${binary:Version}), ${misc:Depends}
+Depends: libdballe6 (= ${binary:Version}), ${misc:Depends}
 Recommends: pkg-config
 Conflicts: libdballe-core-dev, libdballe-bufrex-dev, libdballe-msg-dev, libdballe-db-dev
 Description: DB-All.e C development library for weather research
@@ -56,7 +55,7 @@
  .
  This is the documentation for the DB_All.e development the library.
 
-Package: libdballe5
+Package: libdballe6
 Section: libs
 Architecture: any
 Depends: dballe-common, ${shlibs:Depends}, ${misc:Depends}
@@ -118,6 +117,7 @@
 Section: misc
 Architecture: any
 Depends: dballe-common, ${shlibs:Depends}, ${misc:Depends}
+Recommends: python-dballe
 Description: Database for punctual meteorological data (Command line tools)
  DB-All.e is a fast on-disk database where meteorological observed and
  forecast data can be stored, searched, retrieved and updated.
@@ -155,16 +155,3 @@
     from soundings and airplanes.
   * Report information is preserved. It can work based on physical
     parameters or on report types.
-
-Package: provami
-Section: misc
-Architecture: all
-Depends: python-dballe, python-wxgtk2.8, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
-Suggests: python-rpy2
-XB-Python-Version: ${python:Versions}
-Provides: ${python:Provides}
-Description: Graphical interface to DB-All.e databases
- provami is a GUI application to visualise and navigate DB-All.e databases.
- .
- It also allows one to perform simple editing tasks, and to graphically select
- and export data subsets.

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export RGBDEF=/usr/share/latex2html/styles/rgb.txt
 
 %:
-	dh --with python2 $@
+	dh --with autoreconf,python2 $@
 
 
 # DEB_PYTHON2_MODULE_PACKAGES := provami
@@ -28,8 +28,8 @@
 	# Build and install the python bindings for each different python version
 	for ver in `pyversions -vr`; do \
 		dh_auto_configure -- PYTHON=/usr/bin/python$$ver ; \
-		make clean -C swig ; \
-		make install -C swig DESTDIR=`pwd`/debian/tmp ; \
+		make clean -C python ; \
+		make install -C python DESTDIR=`pwd`/debian/tmp ; \
 	done
 	# Remove python modules .la files
 	rm -f debian/tmp/usr/lib/python*/dist-packages/*.la
